#!/bin/bash
# Gestion des fichiers de chimères entre 4 ordinateurs
# Connection via le réseau en sans-fil (wlan0). Le changer si besoin à la ligne 13.

# commandes : start, kill, rm, cp

arg="$1";
system="$(uname)";

# GET IP
if [ $system == "Linux" ] 
then
	ip=$(/sbin/ifconfig wlan0 | grep "inet adr" | cut -d: -f2 | cut -d. -f4 | cut -d" " -f1);
fi

if [ $system == "Darwin" ] 
then
	ip=$(ipconfig getifaddr en1 | cut -d. -f4);
fi


# COMMANDS
if [ $arg == "ssh1" ]
then
	ssh jr@192.168.0.101;
fi

if [ $arg == "ssh2" ]
then
	ssh macvalise@192.168.0.102;
fi

if [ $arg == "ssh3" ]
then
	ssh FA03@192.168.0.103;
fi

if [ $arg == "reboot" ]
then
	ssh jr@192.168.0.101 'sudo reboot'; ssh macvalise@192.168.0.102 'sudo reboot'; ssh FA03@192.168.0.103 'sudo reboot';
fi

if [ $arg == "kill" ]
then
	ssh jr@192.168.0.101 'killall pdextended'; ssh jr@192.168.0.101 'killall pd'; ssh macvalise@192.168.0.102 'killall pd'; ssh FA03@192.168.0.103 'killall pd';
fi

if [ $arg == "start" ]
then
	ssh jr@192.168.0.101 '/Applications/Pd-extended.app/Contents/Resources/Scripts/../bin/pd -open Desktop/chimeres/main.pd' & ssh macvalise@192.168.0.102 '/Applications/Pd-extended.app/Contents/Resources/Scripts/../bin/pd -open Desktop/chimeres/main.pd'& ssh FA03@192.168.0.103 '/Applications/Pd-extended.app/Contents/Resources/Scripts/../bin/pd -open Desktop/chimeres/main.pd';
fi


if [ $arg == "rm" ]
then
	ssh jr@192.168.0.101 'rm -rf Desktop/chimeres'; ssh macvalise@192.168.0.102 'rm -rf Desktop/chimeres'; ssh FA03@192.168.0.103 'rm -rf Desktop/chimeres';
fi

if [ $arg == "cp" ]
then
	if [ $ip == "101" ] 
	then
		scp -r ~/Desktop/chimeres jr@192.168.0.104:~/Bureau; scp -r ~/Desktop/chimeres macvalise@192.168.0.102:~/Desktop; scp -r ~/Desktop/chimeres FA03@192.168.0.103:~/Desktop;
	fi
	if [ $ip == "102" ]
	then
		scp -r ~/Desktop/chimeres jr@192.168.0.104:~/Bureau; scp -r ~/Desktop/chimeres jr@192.168.0.101:~/Desktop; scp -r ~/Desktop/chimeres FA03@192.168.0.103:~/Desktop;
	fi
	if [ $ip == "103" ] 
	then
		scp -r ~/Desktop/chimeres jr@192.168.0.104:~/Bureau; scp -r ~/Desktop/chimeres macvalise@192.168.0.102:~/Desktop; scp -r ~/Desktop/chimeres jr@192.168.0.101:~/Desktop;
	fi
	if [ $ip == "104" ] 
	then 
		scp -r ~/Bureau/chimeres jr@192.168.0.101:~/Desktop; scp -r ~/Bureau/chimeres macvalise@192.168.0.102:~/Desktop; scp -r ~/Bureau/chimeres FA03@192.168.0.103:~/Desktop;
	fi
fi

